#include "base.h"
#include "win32_platform.h"
#include "arena.h"
#include "string.h"
#include "hash_store.h"
#include "keywords.h"

#include "win32_platform.c"
#include "arena.c"
#include "string.c"
#include "hash_store.c"

int
main(void)
{
  Table *table = hash_store_initialize();
  u64 list_size = array_count(keywords);

  for (u64 idx = 0; idx < list_size; idx += 1)
  {
    if (string8_match(keywords[idx], str8_lit("luchtwasser toestand"))){
      int x = 0;
    }

    Key key = hash_store_string8_to_key(table, keywords[idx]);
    String8 string = hash_store_string8_from_key(table, key);

    printf("%.*s\n", (i32) string.length, string.content);
    printf("str8 arena: %lld - arena %lld\n", table->str8_arena->current->offset, table->arena->current->offset);
  }

  return 0;
};
